Package org.eclipse.net4j.util.om

## Interface OMPlatform

-     public interface OMPlatform

  Represents the platform that `bundles` are deployed into, whether OSGi `is running` or not.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OMPlatform` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addLogFilter​(OMLogFilter logFilter)` |
    `void` | `addLogHandler​(OMLogHandler logHandler)` |
    `void` | `addTraceHandler​(OMTraceHandler traceHandler)` |
    `OMBundle` | `bundle​(java.lang.String bundleID, java.lang.Class<?> accessor)` |
    `java.lang.String[]` | `getCommandLineArgs()` |
    `java.io.File` | `getConfigFile​(java.lang.String name)` |
    `java.io.File` | `getConfigFolder()` |
    `java.util.Properties` | `getConfigProperties​(java.lang.String name)` |
    `java.lang.String` | `getProperty​(java.lang.String key)` |
    `int` | `getProperty​(java.lang.String key, int defaultValue)` |
    `long` | `getProperty​(java.lang.String key, long defaultValue)` |
    `<T extends java.lang.Enum<T>> T` | `getProperty​(java.lang.String key, java.lang.Class<T> enumType)` |
    `java.lang.String` | `getProperty​(java.lang.String key, java.lang.String defaultValue)` |
    `<T extends java.lang.Enum<T>> T` | `getProperty​(java.lang.String key, T defaultValue)` |
    `java.io.File` | `getStateFolder()` |
    `boolean` | `isDebugging()` |
    `boolean` | `isExtensionRegistryAvailable()` |
    `boolean` | `isOSGiRunning()` |
    `boolean` | `isProperty​(java.lang.String key)` |
    `boolean` | `isProperty​(java.lang.String key, boolean defaultValue)` |
    `void` | `removeLogFilter​(OMLogFilter logFilter)` |
    `void` | `removeLogHandler​(OMLogHandler logHandler)` |
    `void` | `removeTraceHandler​(OMTraceHandler traceHandler)` |
    `void` | `setDebugging​(boolean debugging)` |

- - ### Field Detail

    - #### INSTANCE

          static final OMPlatform INSTANCE

  - ### Method Detail

    - #### bundle

          OMBundle bundle​(java.lang.String bundleID,
                          java.lang.Class<?> accessor)

    - #### isOSGiRunning

          boolean isOSGiRunning()

    - #### isExtensionRegistryAvailable

          boolean isExtensionRegistryAvailable()

      Since:
        2.0

    - #### isDebugging

          boolean isDebugging()

    - #### setDebugging

          void setDebugging​(boolean debugging)

    - #### addLogFilter

          void addLogFilter​(OMLogFilter logFilter)

      Since:
        3.2

    - #### removeLogFilter

          void removeLogFilter​(OMLogFilter logFilter)

      Since:
        3.2

    - #### addLogHandler

          void addLogHandler​(OMLogHandler logHandler)

    - #### removeLogHandler

          void removeLogHandler​(OMLogHandler logHandler)

    - #### addTraceHandler

          void addTraceHandler​(OMTraceHandler traceHandler)

    - #### removeTraceHandler

          void removeTraceHandler​(OMTraceHandler traceHandler)

    - #### getStateFolder

          java.io.File getStateFolder()

    - #### getConfigFolder

          java.io.File getConfigFolder()

    - #### getConfigFile

          java.io.File getConfigFile​(java.lang.String name)

    - #### getConfigProperties

          java.util.Properties getConfigProperties​(java.lang.String name)

    - #### getProperty

          java.lang.String getProperty​(java.lang.String key)

      Since:
        3.0

    - #### getProperty

          java.lang.String getProperty​(java.lang.String key,
                                       java.lang.String defaultValue)

      Since:
        3.0

    - #### getProperty

          int getProperty​(java.lang.String key,
                          int defaultValue)

      Since:
        3.8

    - #### getProperty

          long getProperty​(java.lang.String key,
                           long defaultValue)

      Since:
        3.8

    - #### getProperty

          <T extends java.lang.Enum<T>> T getProperty​(java.lang.String key,
                                                      java.lang.Class<T> enumType)

      Since:
        3.8

    - #### getProperty

          <T extends java.lang.Enum<T>> T getProperty​(java.lang.String key,
                                                      T defaultValue)

      Since:
        3.8

    - #### isProperty

          boolean isProperty​(java.lang.String key)

      Since:
        3.7

    - #### isProperty

          boolean isProperty​(java.lang.String key,
                             boolean defaultValue)

      Since:
        3.7

    - #### getCommandLineArgs

          java.lang.String[] getCommandLineArgs()
                                         throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`
      Since:
        3.2